Bug 603251 - [abrt] crash in telepathy-butterfly-0.5.9-1.fc13: p2p.py:155:parse:KeyError: 'Location'
[abrt] crash in telepathy-butterfly-0.5.9-1.fc13: p2p.py:155:parse:KeyError: ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:3f175dfa
:
: 604687 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 22:46 EDT by Juan Jose Polanco Arias
Modified: 2011-06-27 14:03 EDT (History)
47 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:03:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.14 KB, text/plain)
2010-06-11 22:46 EDT, Juan Jose Polanco Arias
no flags Details

  None (edit)
Description Juan Jose Polanco Arias 2010-06-11 22:46:09 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/libexec/telepathy-butterfly
component: telepathy-butterfly
executable: /usr/libexec/telepathy-butterfly
kernel: 2.6.33.5-112.fc13.x86_64
package: telepathy-butterfly-0.5.9-1.fc13
reason: p2p.py:155:parse:KeyError: 'Location'
release: Fedora release 13 (Goddard)

backtrace
-----
p2p.py:155:parse:KeyError: 'Location'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/papyon/msnp/base.py", line 107, in _dispatch_command
    handler(command)
  File "/usr/lib/python2.6/site-packages/papyon/msnp/notification.py", line 453, in _handle_NLN
    urllib.unquote(command.arguments[idx]))
  File "/usr/lib/python2.6/site-packages/papyon/p2p.py", line 155, in parse
    location = xml.unescape(element["Location"])
KeyError: 'Location'

Local variables in innermost frame:
creator: 'nelson_r25@hotmail.com'
type: 3
xml_data: '<msnobj Creator="nelson_r25@hotmail.com" Size="2911" Type="3" SHA1D="sy78pjb4jztpLV9UtGjVKZZDzGI=" Url="" Url1="http://byfiles.storage.msn.com/y1mGDLMpz-Gg6ai1ForUSD8StmrF0T0MSx2tJdw-oQ063kT5uBSQlzvbM6VPTFTVdLLAnTljhBmHeyf99_QYVFbtw"/>'
element: {'Creator': 'nelson_r25@hotmail.com', 'Url': '', 'SHA1D': 'sy78pjb4jztpLV9UtGjVKZZDzGI=', 'Url1': 'http://byfiles.storage.msn.com/y1mGDLMpz-Gg6ai1ForUSD8StmrF0T0MSx2tJdw-oQ063kT5uBSQlzvbM6VPTFTVdLLAnTljhBmHeyf99_QYVFbtw', 'Type': '3', 'Size': '2911'}
client: <papyon.client.Client object at 0x1931950>
data: <cStringIO.StringI object at 0x1c6df00>
size: 2911
Comment 1 Juan Jose Polanco Arias 2010-06-11 22:46:14 EDT
Created attachment 423426 [details]
File: backtrace
Comment 2 Brian Pepple 2010-06-16 11:23:33 EDT
*** Bug 604687 has been marked as a duplicate of this bug. ***
Comment 3 boucher.samuel.c 2010-06-20 19:58:55 EDT
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.log in with empathy
2.
3.
Comment 4 Kai.Fan 2010-06-23 04:46:13 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. wake up from a suspending
2.
3.
Comment 5 Arron 2010-06-27 21:29:37 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start empathy
2.
3.
Comment 6 Ahmad Zulkarnain 2010-06-27 22:43:33 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. started empathy
2. ABRT popup after logging into MSN, Yahoo! & GTalk.
3.


Comment
-----
From what is reported it seems to me like its the offline messages feature from a particular user on MSN that causes telepathy to crash. Other offline messages seems to be fine. Might be a possible offline spam message with an embedded URL.
Comment 7 jasonbenedict 2010-06-28 05:24:02 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. start up empathy in task bar.
2. ensure you connected to facebook chat.
3. now open browser to access your facebook web and fill in some comments
4. you get this crash report.


Comment
-----
My empathy was set to connect to facebook chat using jabber protocol (xmpp). Somehow not very stable. when empathy is runing in task bar, while i login to facebook web via firefox, accessing and commenting friends wall, this crash produced.
Comment 8 Arron 2010-06-28 21:27:03 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start empathy
2.
3.
Comment 9 Arron 2010-06-29 21:42:13 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start empathy
2.
3.
Comment 10 Arron 2010-06-30 21:25:47 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start empathy
2.
3.
Comment 11 Robert Hoekstra 2010-07-02 04:43:06 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start program
2.
3.


Comment
-----
It happens seemingly random, no specific conversation or file transfer is happening.
Comment 12 Arron 2010-07-04 21:08:16 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start empathy
2.
3.
Comment 13 Arron 2010-07-05 21:09:53 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start empathy
2.
3.
Comment 14 Arron 2010-07-07 21:03:16 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start empathy
2.
3.
Comment 15 Ahmad Zulkarnain 2010-07-10 06:50:10 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start empathy
2. establish connection to MSN
3.
Comment 16 helynux 2010-07-12 19:09:43 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.CAda vez que abro empathy
2.
3.
Comment 17 Jacob Tuz 2010-07-16 16:46:33 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. After a Empathy restart
Comment 18 Vincent passaro 2010-07-19 12:14:22 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Started Telepathy
2.Error occurs
3.


Comment
-----
Appears to be an offline message notification.
Comment 19 Vincent passaro 2010-07-20 12:15:05 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Started Telepathy
2.Error occurs
3.Crash Occurs


Comment
-----
Appears to be an offline message notification causing the crash.
Comment 20 pasqual milvaques 2010-07-21 12:02:40 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start empathy
2.
3.
Comment 21 Ygor Amaral 2010-07-21 15:41:20 EDT
Package: telepathy-butterfly-0.5.9-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.start Telepathy
2.
3.
Comment 22 Ygor Amaral 2010-07-21 15:43:13 EDT
Package: telepathy-butterfly-0.5.9-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.start empathy
2.
3.


Comment
-----
only start empathy
Comment 23 Christophe Quintard 2010-07-22 08:08:15 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Resume from suspend
Comment 24 nerd__02 2010-07-22 11:52:14 EDT
Package: telepathy-butterfly-0.5.9-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.  Run Empathy
Comment 25 Christophe Quintard 2010-07-26 09:40:48 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Start empathy with a MSN account, a sametime account and a IRC account.
Comment 26 jackonweb 2010-07-27 01:04:20 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.telepathy-butterfly crashed when empathy 2.30.2 recived incoming message. But empathy still working.
2.
3.
Comment 27 Christophe Quintard 2010-07-27 05:54:03 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Empathy was running with MSN, Sametime and IRC accounts. Nothing special was being done when the crash occured, I was afk.
Comment 28 Christophe Quintard 2010-07-27 08:19:12 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Empathy was running with MSN, Sametime and IRC accounts. I unplugged and re-plugged the network wire.
Comment 29 Greg 2010-07-29 07:38:35 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.started Empathy IM client
2.Error occurs when it tries to log into services
3.
Comment 30 Christophe Quintard 2010-07-29 10:27:02 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Empathy was running with MSN, Sametime and IRC accounts, I was afk, and when I returned to my laptop and unlock the screen I saw the crash. My zillionth crash with Empathy...
Comment 31 Camilo Coelho 2010-07-29 22:36:12 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Clik in the Empathy IM Client desktop shortcut.

Comment
-----
Every time i start the Empathy IM Client i get this message. And after it's runnig, some times, i get it too.
Comment 32 Hervé Marcy 2010-07-31 07:39:30 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start empathy
2. This empathy crashes at login (no need to do anything)
Comment 33 jimmyb 2010-08-02 08:00:40 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just found this reported, don't recall anything that may have coincided with this...
Comment 34 cantonsen 2010-08-05 04:24:56 EDT
Package: telepathy-butterfly-0.5.9-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
Started telepathy im client, and telepathy-butterfly crashed.

I have connected with msn, google talk, irc.
Comment 35 Leif H. 2010-08-07 16:22:46 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.I started Empathy IM Client on my up-2-date Fedora 13
2.There was an unread reply poping up 
3.
Comment 36 Juergen Kaiserling 2010-09-01 10:49:30 EDT
Package: telepathy-butterfly-0.5.9-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Started Empathy
2.
3.
Comment 37 vmartinet 2010-09-05 05:14:24 EDT
Package: telepathy-butterfly-0.5.7-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Create MSN account in Empathy
2. Log in
3.


Comment
-----
The specified contact does not appear in the contact list.
Comment 38 romainlaf 2010-09-07 02:39:59 EDT
Package: telepathy-butterfly-0.5.7-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Simply open Empathy software
2.
3.
Comment 39 Ray 2010-09-28 23:38:12 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open telepathy
2.
3.
Comment 40 Ray 2010-09-29 02:15:57 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open telepathy
2.
3.
Comment 41 Nicolas Karmazyn 2010-09-30 12:56:41 EDT
Package: telepathy-butterfly-0.5.9-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.
2.
3.
simplement au lancement de Empathy 2.28.2 via l'interface graphique
Comment 42 Ray 2010-10-06 20:53:15 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open telepathy
2.
3.
Comment 43 Bug Zapper 2011-06-02 07:09:57 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 44 Bug Zapper 2011-06-27 14:03:15 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.